Hi,

We have an application(EMAN2) which needs boost.python to wrap c++ code to python extension module. It has a compilation error in SUSE11.0:

Code:
Scanning dependencies of target pyAligner2
[ 80%] Building CXX object libpyEM/CMakeFiles/pyAligner2.dir/libpyAligner2.o
In file included from /usr/include/boost/python/class.hpp:29,
                 from /usr/include/boost/python.hpp:18,
                 from /home/gtang/EMAN2/src/eman2/libpyEM/libpyAligner2.cpp:3:
/usr/include/boost/python/detail/def_helper.hpp:192: error: declaration of 'typename boost::python::detail::keyword_extract<boost::tuples::tuple<const T1&, const T2&, const T3&, const T4&, boost::python::default_call_policies, boost::python::detail::keywords<0u>, const char*, void (boost::python::detail::not_specified::*)(), boost::tuples::null_type, boost::tuples::null_type> >::result_type boost::python::detail::def_helper<T1, T2, T3, T4>::keywords() const'
/usr/include/boost/python/args_fwd.hpp:35: error: changes meaning of 'keywords' from 'struct boost::python::detail::keywords<0u>'
make[2]: *** [libpyEM/CMakeFiles/pyAligner2.dir/libpyAligner2.o] Error 1
make[1]: *** [libpyEM/CMakeFiles/pyAligner2.dir/all] Error 2
make: *** [all] Error 2
The boost.python installed by yast on SUSE11.0 is 1.34.1. Our project compiles OK with boost.python 1.34.1 on other Linux platform. I searched this error message online and found out other people has same problem with different project on SUSE11.0. I doubt there is a bug in SUSE11.0's boost.python library.

Anybody, help?

Thanks in advance,
Grant